function love.load()
  timediff = require("utils.lang.timediff")

  font = love.graphics.newFont("unifont-7.0.06.ttf", 16)
  love.graphics.setFont(font)

  locales = {"ar","bg","ca","de","el","en","es","fi","fr","he","hi","hu","it","ja","ko","nl","pl","pt","ro","ru","th","uk","vi","zh"}
  locale = 'en'
  -- time when the game was started
  started = os.time()
end

function love.update(dt)
  
end

function love.draw()
  local now = os.time()
  
  love.graphics.print("Arrow keys switch locales", 10, 10)
  love.graphics.print("Locale: " .. locale, 10, 30)
  

  love.graphics.print("timediff = require('utils.lang.timediff')", 10, 70)
  love.graphics.print("now = os.time()", 10, 90)
  love.graphics.print("timediff('" .. locale .. "', started - now)", 10, 110)
  love.graphics.print("-- Output:", 10, 130)
  love.graphics.print(timediff(locale, started - now) or "?", 30, 150)

  love.graphics.print("-- Examples:", 10, 190)
  love.graphics.print("timediff('" .. locale .. "', -60*60)", 10, 210)
  love.graphics.print("-- Output:", 10, 230)
  love.graphics.print(timediff(locale, -60*60), 30, 250)
  
  love.graphics.print("timediff('" .. locale .. "', 60*60*24)", 10, 290)
  love.graphics.print(timediff(locale, 60*60*24), 30, 310)

  love.graphics.print("timediff('" .. locale .. "', 60*60*24*7, 'weeks')", 10, 330)
  love.graphics.print(timediff(locale, 60*60*24*7, 'weeks'), 30, 350)
  
  love.graphics.print("timediff('" .. locale .. "', 60*60*24*30)", 10, 370)
  love.graphics.print(timediff(locale, 60*60*24*7*4), 30, 390)
  
  love.graphics.print("timediff('" .. locale .. "', 60*60*24*30*12)", 10, 410)
  love.graphics.print(timediff(locale, 60*60*24*30*12), 30, 430)

  love.graphics.print("-- Time with specified units:", 10, 470)
  love.graphics.print("timediff('" .. locale .. "', 60*60*24*30*12, 'day')", 10, 490)
  love.graphics.print(timediff(locale, 60*60*24*30*12, 'day'), 30, 510)
end

function love.keypressed(k, r)
  -- iterate locales using the keyboard
  local i = 1
  for j, l in ipairs(locales) do
    if locale == l then
      i = j
      break
    end
  end
  local j = i
  if k == "up" or k == "left" then
    j = j - 1
    if j < 1 then
      j = #locales
    end
  elseif k == "down" or k == "right" then
    j = j + 1
    if j > #locales then
      j = 1
    end
  end
  if j ~= i then
    locale = locales[j]
  end
end