-- generic date format patterns
-- (f)ull
-- (l)ong
-- (m)edium
-- (s)hort
-- takes about 95 kilobytes of memory when loaded
return
{
  ["aa"] = { f="EEEE, MMMM dd, y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["af"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="dd MMM y G", s="GGGGG y-MM-dd" },
  ["af_NA"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="GGGGG y-MM-dd" },
  ["agq"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["ak"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG yy/MM/dd" },
  ["am"] = { f="EEEE፣ MMMM d ቀን y G" },
  ["ar"] = { f="EEEE، d MMMM، y G", l="d MMMM، y G", m="dd‏/MM‏/y G", s="d‏/M‏/y GGGGG" },
  ["ar_DZ"] = { m="G y/MM/dd", s="GGGGG y/M/d" },
  ["ar_MA"] = { m="G y/MM/dd", s="GGGGG y/M/d" },
  ["ar_TN"] = { m="G y/MM/dd", s="GGGGG y/M/d" },
  ["as"] = { f="EEEE, d MMMM, y G", l="d MMMM, y G", m="dd-MM-y G", s="d-M-y GGGGG" },
  ["asa"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ast"] = { f="EEEE, dd MMMM 'de' y G", l="d MMMM 'de' y G", m="d MMM y G", s="d/M/yy GGGGG" },
  ["az"] = { f="G d MMMM y, EEEE", l="G d MMMM, y", m="G d MMM y", s="GGGGG dd.MM.y" },
  ["az_Cyrl"] = { f="EEEE, d, MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="dd.MM.y GGGGG" },
  ["bas"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["be"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d.M.yy" },
  ["bem"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["bez"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["bg"] = { f="EEEE, d MMMM y 'г'. G", l="d MMMM y 'г'. G", m="d.MM.y 'г'. G", s="d.MM.yy G" },
  ["bm"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["bn"] = { f="EEEE, d MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["bo"] = { l="G སྦྱི་ལོ་y MMMMའི་ཙེས་dད", m="G y ལོ་འི་MMMཙེས་d" },
  ["brx"] = { f="EEEE, MMMM d, y G", l="MMMM d, y G", m="MMM d, y G", s="M/d/yy GGGGG" },
  ["bs"] = { f="EEEE, dd. MMMM y. G", l="dd. MMMM y. G", m="dd.MM.y. G", s="dd.MM.y. GGGGG" },
  ["bs_Cyrl"] = { f="EEEE, dd. MMMM y. G", l="dd. MMMM y. G", m="dd.MM.y. G", s="d.M.y. GGGGG" },
  ["byn"] = { f="EEEE፡ dd MMMM ግርጋ y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["ca"] = { f="EEEE, dd MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["cgg"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["chr"] = { f="EEEE, MMMM d, y G", l="MMMM d, y G", m="MMM d, y G", s="M/d/y GGGGG" },
  ["cs"] = { f="EEEE, d. M. y", l="d. M. y", m="d. M. y", s="d. M. y" },
  ["cy"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["da"] = { f="EEEE d. MMMM y G", l="d. MMMM y G", m="d. MMM y G", s="d/M/y" },
  ["dav"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["de"] = { f="EEEE, d. MMMM U", l="d. MMMM U", m="dd.MM U", s="dd.MM.yy" },
  ["de_AT"] = { f="EEEE, dd. MMMM y G", l="dd. MMMM y G" },
  ["dje"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["dua"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["dyo"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["dz"] = { f="EEEE, G སྤྱི་ལོ་y MMMM ཚེས་dd", l="G སྤྱི་ལོ་y MMMM ཚེས་ dd", m="G སྤྱི་ལོ་y ཟླ་MMM ཚེས་dd", s="GGGGG y-MM-dd" },
  ["ebu"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ee"] = { f="EEEE, U MMMM dd 'lia'", l="U MMMM d 'lia'", m="U MMM d 'lia'" },
  ["el"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["en"] = { f="EEEE, MMMM d, U", l="MMMM d, U", m="MMM d, U", s="M/d/yy" },
  ["en_150"] = { f="EEEE d MMMM y G", l="d MMM y G", m="dd MMM y G", s="dd/MM/y GGGGG" },
  ["en_AU"] = { f="EEEE, d MMMM U", l="d MMMM U", m="d MMM U", s="d/MM/yy" },
  ["en_BE"] = { f="EEEE d MMMM y G", l="d MMM y G", m="dd MMM y G", s="dd/MM/y GGGGG" },
  ["en_BW"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", s="dd/MM/y GGGGG" },
  ["en_BZ"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/y GGGGG" },
  ["en_GB"] = { f="EEEE, d MMMM U", l="d MMMM U", m="d MMM U", s="dd/MM/yy" },
  ["en_HK"] = { f="EEEE, d MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="d/M/yy GGGGG" },
  ["en_IE"] = { f="EEEE d MMMM y G" },
  ["en_IN"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="dd-MMM-y G", s="dd/MM/y GGGGG" },
  ["en_JM"] = { s="d/M/y GGGGG" },
  ["en_MT"] = { f="EEEE, d MMMM y G", l="dd MMMM y G", m="dd MMM y G", s="dd/MM/y GGGGG" },
  ["en_NZ"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d/MM/y G", s="d/MM/y GGGGG" },
  ["en_PK"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="dd-MMM-y G", s="dd/MM/y GGGGG" },
  ["en_SG"] = { f="EEEE, d MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="d/M/yy GGGGG" },
  ["en_ZA"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="dd MMM y G", s="GGGGG y/MM/dd" },
  ["en_ZW"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="dd MMM,y G", s="d/M/y GGGGG" },
  ["eo"] = { f="EEEE, d-'a' 'de' MMMM y G", l="G y-MMMM-dd", m="G y-MMM-dd", s="GGGGG y-MM-dd" },
  ["es"] = { f="EEEE, d-M-y", l="d-M-y", m="d-M-y", s="d-M-y" },
  ["es_CL"] = { m="dd-MM-y G", s="dd-MM-y GGGGG" },
  ["es_CO"] = { m="d/MM/y G", s="d/MM/yy GGGGG" },
  ["es_GT"] = { m="d/MM/y G", s="d/MM/yy GGGGG" },
  ["es_HN"] = { f="EEEE dd 'de' MMMM 'de' y G", l="dd 'de' MMMM 'de' y G" },
  ["es_MX"] = { f="EEEE, d 'de' MMMM 'de' y G", l="d 'de' MMMM 'de' y G", m="d MMM, y G", s="dd/MM/yy GGGGG" },
  ["es_PA"] = { m="MM/dd/y G", s="MM/dd/yy GGGGG" },
  ["es_PE"] = { s="d/MM/yy GGGGG" },
  ["es_PR"] = { m="MM/dd/y G", s="MM/dd/yy GGGGG" },
  ["es_US"] = { m="MMM d, y G", s="M/d/yy GGGGG" },
  ["et"] = { f="EEEE, d. MMMM y G", l="d. MMMM y G", m="dd.MM.y G", s="dd.MM.y GGGGG" },
  ["eu"] = { f="G. 'aroko' y. 'urteko' MMMM d, EEEE", l="G. 'aroko' y. 'urteko' MMMM d", m="G. 'aroko' y('e')'ko' MMM d", s="GGGGG y-MM-dd" },
  ["ewo"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["fa"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="y/M/d G" },
  ["ff"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["fi"] = { f="cccc d.M.y", l="d.M.y", m="d.M.y", s="d.M.y" },
  ["fil"] = { f="EEEE, MMMM d, y G", l="MMMM d, y G", m="MMM d, y G", s="M/d/y GGGGG" },
  ["fo"] = { f="EEEE dd MMMM y G", l="d. MMM y G", m="dd-MM-y G", s="dd-MM-yy GGGGG" },
  ["fr"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["fr_BE"] = { s="d/MM/yy GGGGG" },
  ["fr_CA"] = { m="G y-MM-dd", s="GGGGG yy-MM-dd" },
  ["fr_CH"] = { f="EEEE, d MMMM y G", s="dd.MM.yy GGGGG" },
  ["fur"] = { f="EEEE d 'di' MMMM 'dal' y G", l="d 'di' MMMM 'dal' y G", m="dd/MM/y G", s="dd/MM/yy GGGGG" },
  ["ga"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["gd"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["gl"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="d MMM, y G", s="dd/MM/yy GGGGG" },
  ["gsw"] = { f="EEEE d. MMMM y G", l="d. MMMM y G", m="d. MMM y G", s="d.M.y" },
  ["gu"] = { f="EEEE, d MMMM, G y", l="d MMMM, G y", m="d MMM, G y", s="d-MM- GGGGG y" },
  ["guz"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["gv"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="MMM dd, y G", s="dd/MM/yy GGGGG" },
  ["ha"] = { f="EEEE, d MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="d/M/yy GGGGG" },
  ["haw"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/yy GGGGG" },
  ["he"] = { f="EEEE, d בMMMM y G", l="d בMMMM y G", m="d בMMM y G", s="dd/MM/yy GGGGG" },
  ["hi"] = { f="EEEE, d MMMM Gy", l="d MMMM Gy", m="d MMM, G y", s="d-M-y G" },
  ["hr"] = { f="E, d.M.y.", l="d.M.y.", m="d.M.y.", s="d.M.y." },
  ["hu"] = { f="G y. MMMM d., EEEE", l="G y. MMMM d.", m="G y. MMM d.", s="GGGGG y. M. d." },
  ["hy"] = { f="d MMMM, y թ. G, EEEE", l="dd MMMM, y թ. G", m="dd MMM, y թ. G", s="dd.MM.y GGGGG" },
  ["ia"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG yy/MM/dd" },
  ["id"] = { f="EEEE, dd MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["ig"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["is"] = { f="EEEE, d. MMMM y G", l="d. MMMM y G", m="d.M.y G", s="d.M.y GGGGG" },
  ["it"] = { f="EEEE d MMMM U", l="dd MMMM U", m="dd/MMM U", s="dd/MM/yy" },
  ["it_CH"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d-MMM-y G", s="dd.MM.yy GGGGG" },
  ["ja"] = { f="GGGGy年M月d日EEEE", l="GGGGy年M月d日", m="Gy/MM/dd", s="Gy/MM/dd" },
  ["jgo"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG y-MM-dd" },
  ["jmc"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ka"] = { f="EEEE, dd MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="dd.MM.y GGGGG" },
  ["kab"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["kam"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["kde"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["kea"] = { f="EEEE, d 'di' MMMM 'di' y G", l="d 'di' MMMM 'di' y G", m="d 'di' MMM 'di' y G", s="d/M/y GGGGG" },
  ["khq"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["ki"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["kk"] = { f="EEEE, d MMMM y 'ж'. G", l="d MMMM y 'ж'. G", m="dd.MM.y G", s="dd.MM.y GGGGG" },
  ["kkj"] = { f="EEEE dd MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM y GGGGG" },
  ["kl"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="MMM dd, y G", s="GGGGG y-MM-dd" },
  ["kln"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["km"] = { f="EEEE, d MMMM y G", l="d MMMM, y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["kn"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d-M-y GGGGG" },
  ["ko"] = { f="U년 M월 d일 EEEE", l="U년 M월 d일", m="y. M. d.", s="y. M. d." },
  ["kok"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="dd-MM-y G", s="d-M-y GGGGG" },
  ["ks"] = { f="EEEE, MMMM d, Gy", l="MMMM d, Gy", m="MMM d, Gy", s="M/d/Gy" },
  ["ksb"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ksf"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["ksh"] = { f="EEEE, d. MMMM y G" },
  ["kw"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ky"] = { f="EEEE, G d-MMMM y-'ж'.", l="d-MMMM G y-'ж'.", m="dd.MM.y G", s="dd.MM.y GGGGG" },
  ["lag"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["lg"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["lkt"] = { f="EEEE, MMMM d, y G", l="MMMM d, y G", m="MMM d, y G", s="M/d/y GGGGG" },
  ["ln"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["lo"] = { f="EEEE, U MMMM dd", l="U MMMM d", m="U MMM d", s="y-M-d" },
  ["lt"] = { f="y MMMM d G, EEEE", l="y MMMM d G", m="y MMM d G", s="y-MM-dd G" },
  ["lu"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["luo"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["luy"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["lv"] = { f="EEEE, y. 'gada' d. MMMM G", l="y. 'gada' d. MMMM G", m="y. 'gada' d. MMM G", s="dd.MM.y GGGGG" },
  ["mas"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["mer"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["mfe"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["mg"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["mgh"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["mgo"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG y-MM-dd" },
  ["mk"] = { f="EEEE, dd MMMM y 'г'. G", l="dd MMMM y 'г'. G", m="dd.M.y G", s="dd.M.y GGGGG" },
  ["ml"] = { f="G y, MMMM d, EEEE", l="G y, MMMM d", m="G y, MMM d", s="dd/MM/y GGGGG" },
  ["mn"] = { f="EEEE, G y 'оны' MM 'сарын' dd", l="G y 'оны' MM 'сарын' d", m="G y MM d", s="GGGGG y-MM-dd" },
  ["mr"] = { f="EEEE, d MMMM, y G", l="d MMMM, y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["ms"] = { f="EEEE, U MMMM dd", l="U MMMM d", m="U MMM d", s="y-M-d" },
  ["ms_Latn_BN"] = { f="dd MMMM y G" },
  ["mt"] = { f="EEEE, d 'ta'’ MMMM y G", l="d 'ta'’ MMMM y G", m="dd MMM y G", s="dd/MM/y GGGGG" },
  ["mua"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["my"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG y/MM/dd" },
  ["naq"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["nb"] = { f="EEEE d. MMMM y G", l="d. MMMM y G", m="d. MMM y G", s="d.M. y G" },
  ["nd"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ne"] = { f="G y MMMM d, EEEE", l="G y MMMM d", m="G y MMM d", s="GGGGG y-MM-dd" },
  ["nl"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd-MM-yy GGGGG" },
  ["nl_BE"] = { m="d-MMM-y G", s="d/MM/yy GGGGG" },
  ["nmg"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["nn"] = { f="EEEE d. MMMM y G", l="d. MMMM y G", m="d. MMM y G", s="d.M y G" },
  ["nnh"] = { f="EEEE , 'lyɛ'̌ʼ d 'na' MMMM, y G", l="'lyɛ'̌ʼ d 'na' MMMM, y G", m="d MMM, y G", s="dd/MM/yy GGGGG" },
  ["nus"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/MM/y GGGGG" },
  ["nyn"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["om"] = { f="EEEE, MMMM d, y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["or"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d-M-y GGGGG" },
  ["os"] = { f="EEEE, d MMMM, y 'аз' G", l="d MMMM, y 'аз' G", m="dd MMM y 'аз' G", s="dd.MM.yy GGGGG" },
  ["pa"] = { f="EEEE, dd MMMM G y", l="d MMMM G y", m="d MMM G y", s="dd/MM/GGGGG y" },
  ["pa_Arab"] = { f="EEEE, dd MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["pl"] = { f="EEEE, d MMMM U", l="d MMMM U", m="d MMM U", s="dd.MM.y" },
  ["ps"] = { f="EEEE د G y د MMMM d", l="د G y د MMMM d", m="d MMM y G", s="GGGGG y/M/d" },
  ["pt"] = { f="EEEE, d 'de' MMMM 'de' U", l="d 'de' MMMM 'de' U", m="dd/MM U", s="dd/MM/yy" },
  ["pt_PT"] = { s="d/M/y G" },
  ["rm"] = { f="EEEE, 'ils' d 'da' MMMM y G", l="d 'da' MMMM y G", m="dd-MM-y G", s="dd-MM-yy GGGGG" },
  ["rn"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["ro"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="dd.MM.y G", s="dd.MM.y GGGGG" },
  ["rof"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["ru"] = { f="EEEE, d MMMM U", l="d MMMM U", m="dd.MM U", s="dd.MM.y" },
  ["ru_UA"] = { l="d MMMM y G", m="d MMM y G" },
  ["rw"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG yy/MM/dd" },
  ["rwk"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["sah"] = { f="G y 'сыл' MMMM d 'күнэ', EEEE", l="G y, MMMM d", m="G y, MMM d", s="GGGGG yy/M/d" },
  ["saq"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["sbp"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["seh"] = { f="EEEE, d 'de' MMMM 'de' y G", l="d 'de' MMMM 'de' y G", m="d 'de' MMM 'de' y G", s="d/M/y GGGGG" },
  ["ses"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["sg"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["shi"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["shi_Latn"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["si"] = { f="G y MMMM d, EEEE", l="G y MMMM d", m="G y MMM d", s="GGGGG y-MM-dd" },
  ["sk"] = { f="EEEE, d. MMMM y G", l="d. MMMM y G", m="d.M.y G", s="d.M.y GGGGG" },
  ["sl"] = { f="EEEE, dd. MMMM y G", l="dd. MMMM y G", m="d. MMM y G", s="d. MM. yy GGGGG" },
  ["sn"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["so"] = { f="EEEE, MMMM dd, y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["sq"] = { f="EEEE dd MMMM y G", l="dd MMMM y G", m="dd/MMM/y G", s="dd/MM/yy GGGGG" },
  ["sr"] = { f="EEEE, dd. MMMM y. G", l="dd. MMMM y. G", m="dd.MM.y. G", s="d.M.y. GGGGG" },
  ["sr_Cyrl_BA"] = { m="G y-MM-dd", s="GGGGG yy-MM-dd" },
  ["sr_Latn"] = { f="EEEE, dd. MMMM y. G", l="dd. MMMM y. G", m="dd.MM.y. G", s="d.M.y. GGGGG" },
  ["sr_Latn_ME"] = { l="d.MM.y. G" },
  ["ssy"] = { f="EEEE, MMMM dd, y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["sv"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="G y-MM-dd" },
  ["sw"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["swc"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["ta"] = { f="U MMMM d, EEEE", l="U MMMM d", m="U MMM d", s="dd-MM-y" },
  ["te"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd-MM-y GGGGG" },
  ["teo"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["tg"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG yy/MM/dd" },
  ["th"] = { f="EEEEที่ d MMMM G y", l="d MMMM y", m="d MMM y", s="d/M/yy" },
  ["ti"] = { f="EEEE፣ dd MMMM መዓልቲ y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["tig"] = { f="EEEE፡ dd MMMM ዮም y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["ti_ER"] = { f="EEEE፡ dd MMMM መዓልቲ y G" },
  ["to"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/yy GGGGG" },
  ["tr"] = { f="G d MMMM y EEEE", l="G d MMMM y", m="G d MMM y", s="GGGGG d.MM.y" },
  ["twq"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["tzm"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["uk"] = { f="EEEE, d MMMM y 'р'. G", l="d MMMM y 'р'. G", m="d MMM y G", s="dd.MM.yy GGGGG" },
  ["ur"] = { f="EEEE، d MMMM، y G", l="d MMMM، y G", m="d MMM، y G", s="d/M/y GGGGG" },
  ["ur_IN"] = { f="EEEE، d MMMM، y G", l="d MMMM، y G", m="d MMM، y G", s="d/M/yy GGGGG" },
  ["uz"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG y/MM/dd" },
  ["uz_Arab"] = { f="G y نچی ییل d نچی MMMM EEEE کونی", l="d نچی MMMM y G", m="d MMM y G", s="GGGGG y/M/d" },
  ["uz_Cyrl"] = { f="EEEE, G y MMMM dd", l="G y MMMM d", m="G y MMM d", s="GGGGG y/MM/dd" },
  ["vai"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["vai_Latn"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y G" },
  ["vi"] = { f="EEEE, 'ngày' dd MMMM 'năm' U", l="'Ngày' dd 'tháng' M 'năm' U", m="dd-MM U", s="dd/MM/y" },
  ["vo"] = { f="G y MMMMa 'd'. d'id'", l="G y MMMM d", m="G y MMM. d", s="GGGGG y-MM-dd" },
  ["vun"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["wae"] = { f="EEEE, d. MMMM y G", l="d. MMMM y G", m="d. MMM y G" },
  ["wal"] = { f="EEEE፥ dd MMMM ጋላሳ y G", l="dd MMMM y G", m="dd-MMM-y G", s="dd/MM/yy GGGGG" },
  ["xog"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["yav"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM y G", s="d/M/y GGGGG" },
  ["yo"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["yo_BJ"] = { f="EEEE, d MMMM y G", l="d MMMM y G", m="d MMM y G", s="dd/MM/y GGGGG" },
  ["zgh"] = { f="EEEE d MMMM y G", l="d MMMM y G", m="d MMM, y G", s="d/M/y GGGGG" },
  ["zh"] = { f="Gy年M月d日EEEE", l="Gy年M月d日", m="Gy年M月d日", s="Gy-M-d" },
  ["zh_Hans_HK"] = { f="Gy年M月d日EEEE", l="Gy年M月d日", m="Gy年M月d日", s="Gd/M/yy" },
  ["zh_Hans_MO"] = { f="U年MMMd日EEEE", l="U年MMMd日", m="U年MMMd日", s="U-M-d" },
  ["zh_Hans_SG"] = { f="Gy年M月d日EEEE", l="Gy年M月d日", m="Gy年M月d日", s="Gd/M/yy" },
  ["zh_Hant"] = { f="Gy年M月d日EEEE", l="Gy年M月d日", m="Gy年M月d日", s="Gy/M/d" },
  ["zh_Hant_HK"] = { f="Gy年M月d日EEEE", l="Gy年M月d日", m="Gy年M月d日", s="d/M/yGGGGG" },
  ["zh_Hant_MO"] = { f="Gy年MM月dd日EEEE", l="Gy年MM月dd日", m="Gy年M月d日", s="Gy年M月d日" },
  ["zu"] = { f="EEEE dd MMMM y G", l="d MMMM y G", m="d MMM y G", s="GGGGG y-MM-dd" }
}