-- weekday names to be used for formatting (not standalone)
-- (w)ide
-- (a)bbreviated (~3 characters)
-- (s)hort (~2 characters)
-- (n)arrow (~1 characters)
-- starting from Sunday as index [1]
-- takes up about 420 kilobytes of memory when loaded
return
{
  ["aa"]={w={"Acaada","Etleeni","Talaata","Arbaqa","Kamiisi","Gumqata","Sabti"},a={"Aca","Etl","Tal","Arb","Kam","Gum","Sab"}},
  ["af"]={s={"So.","Ma.","Di.","Wo.","Do.","Vr.","Sa."},a={"So","Ma","Di","Wo","Do","Vr","Sa"},n={"S","M","D","W","D","V","S"},w={"Sondag","Maandag","Dinsdag","Woensdag","Donderdag","Vrydag","Saterdag"}},
  ["agq"]={w={"tsuʔntsɨ","tsuʔukpà","tsuʔughɔe","tsuʔutɔ̀mlò","tsuʔumè","tsuʔughɨ̂m","tsuʔndzɨkɔʔɔ"},a={"nts","kpa","ghɔ","tɔm","ume","ghɨ","dzk"}},
  ["ak"]={w={"Kwesida","Dwowda","Benada","Wukuda","Yawda","Fida","Memeneda"},a={"Kwe","Dwo","Ben","Wuk","Yaw","Fia","Mem"}},
  ["am"]={s={"እ","ሰ","ማ","ረ","ሐ","ዓ","ቅ"},a={"እሑድ","ሰኞ","ማክሰ","ረቡዕ","ሐሙስ","ዓርብ","ቅዳሜ"},n={"እ","ሰ","ማ","ረ","ሐ","ዓ","ቅ"},w={"እሑድ","ሰኞ","ማክሰኞ","ረቡዕ","ሐሙስ","ዓርብ","ቅዳሜ"}},
  ["ar"]={s={"الأحد","الاثنين","الثلاثاء","الأربعاء","الخميس","الجمعة","السبت"},a={"الأحد","الاثنين","الثلاثاء","الأربعاء","الخميس","الجمعة","السبت"},n={"ح","ن","ث","ر","خ","ج","س"},w={"الأحد","الاثنين","الثلاثاء","الأربعاء","الخميس","الجمعة","السبت"}},
  ["as"]={w={"দেওবাৰ","সোমবাৰ","মঙ্গলবাৰ","বুধবাৰ","বৃহষ্পতিবাৰ","শুক্ৰবাৰ","শনিবাৰ"},a={"ৰবি","সোম","মঙ্গল","বুধ","বৃহষ্পতি","শুক্ৰ","শনি"}},
  ["asa"]={w={"Jumapili","Jumatatu","Jumanne","Jumatano","Alhamisi","Ijumaa","Jumamosi"},a={"Jpi","Jtt","Jnn","Jtn","Alh","Ijm","Jmo"}},
  ["ast"]={s={"do","ll","ma","mi","xu","vi","sa"},a={"dom","llu","mar","mie","xue","vie","sab"},n={"D","L","M","M","X","V","S"},w={"domingu","llunes","martes","miércoles","xueves","vienres","sábadu"}},
  ["az"]={s={"B.","B.E.","Ç.A.","Ç.","C.A.","C","Ş."},a={"B.","B.E.","Ç.A.","Ç.","C.A.","C","Ş."},n={"7","1","2","3","4","5","6"},w={"bazar","bazar ertəsi","çərşənbə axşamı","çərşənbə","cümə axşamı","cümə","şənbə"}},
  ["az_Cyrl"]={w={"базар","базар ертәси","чәршәнбә ахшамы","чәршәнбә","ҹүмә ахшамы","ҹүмә","шәнбә"}},
  ["bas"]={w={"ŋgwà nɔ̂y","ŋgwà njaŋgumba","ŋgwà ûm","ŋgwà ŋgê","ŋgwà mbɔk","ŋgwà kɔɔ","ŋgwà jôn"},a={"nɔy","nja","uum","ŋge","mbɔ","kɔɔ","jon"}},
  ["be"]={w={"нядзеля","панядзелак","аўторак","серада","чацвер","пятніца","субота"},a={"нд","пн","аў","ср","чц","пт","сб"}},
  ["bem"]={w={"Pa Mulungu","Palichimo","Palichibuli","Palichitatu","Palichine","Palichisano","Pachibelushi"}},
  ["bez"]={w={"pa mulungu","pa shahuviluha","pa hivili","pa hidatu","pa hitayi","pa hihanu","pa shahulembela"},a={"Mul","Vil","Hiv","Hid","Hit","Hih","Lem"}},
  ["bg"]={s={"нд","пн","вт","ср","чт","пт","сб"},a={"нд","пн","вт","ср","чт","пт","сб"},n={"н","п","в","с","ч","п","с"},w={"неделя","понеделник","вторник","сряда","четвъртък","петък","събота"}},
  ["bm"]={w={"kari","ntɛnɛ","tarata","araba","alamisa","juma","sibiri"},a={"kar","ntɛ","tar","ara","ala","jum","sib"}},
  ["bn"]={s={"রঃ","সোঃ","মঃ","বুঃ","বৃঃ","শুঃ","শোঃ"},a={"রবি","সোম","মঙ্গল","বুধ","বৃহস্পতি","শুক্র","শনি"},n={"র","সো","ম","বু","বৃ","শু","শ"},w={"রবিবার","সোমবার","মঙ্গলবার","বুধবার","বৃহষ্পতিবার","শুক্রবার","শনিবার"}},
  ["bo"]={a={"ཉི་མ་","ཟླ་བ་","མིག་དམར་","ཧླག་པ་","ཕུར་བུ་","སངས་","སྤེན་པ་"},n={"ཉི","ཟླ","མི","ཧླག","ཕུ","ས","སྤེ"},w={"གཟའ་ཉི་མ་","གཟའ་ཟླ་བ་","གཟའ་མིག་དམར་","གཟའ་ཧླག་པ་","གཟའ་ཕུར་བུ་","གཟའ་སངས་","གཟའ་སྤེན་པ་"}},
  ["br"]={a={"sul","lun","meu.","mer.","yaou","gwe.","sad."},n={"su","lu","mz","mc","ya","gw","sa"},w={"Sul","Lun","Meurzh","Mercʼher","Yaou","Gwener","Sadorn"}},
  ["brx"]={w={"रबिबार","समबार","मंगलबार","बुदबार","बिसथिबार","सुखुरबार","सुनिबार"},a={"रबि","सम","मंगल","बुद","बिसथि","सुखुर","सुनि"}},
  ["bs"]={w={"nedjelja","ponedjeljak","utorak","srijeda","četvrtak","petak","subota"},a={"ned","pon","uto","sri","čet","pet","sub"}},
  ["bs_Cyrl"]={w={"недеља","понедељак","уторак","сриједа","четвртак","петак","субота"},a={"нед","пон","уто","сри","чет","пет","суб"}},
  ["byn"]={w={"ሰንበር ቅዳዅ","ሰኑ","ሰሊጝ","ለጓ ወሪ ለብዋ","ኣምድ","ኣርብ","ሰንበር ሽጓዅ"},a={"ሰ/ቅ","ሰኑ","ሰሊጝ","ለጓ","ኣምድ","ኣርብ","ሰ/ሽ"}},
  ["ca"]={s={"dg.","dl.","dt.","dc.","dj.","dv.","ds."},a={"dg.","dl.","dt.","dc.","dj.","dv.","ds."},n={"dg","dl","dt","dc","dj","dv","ds"},w={"diumenge","dilluns","dimarts","dimecres","dijous","divendres","dissabte"}},
  ["cgg"]={w={"Sande","Orwokubanza","Orwakabiri","Orwakashatu","Orwakana","Orwakataano","Orwamukaaga"},a={"SAN","ORK","OKB","OKS","OKN","OKT","OMK"}},
  ["chr"]={w={"ᎤᎾᏙᏓᏆᏍᎬ","ᎤᎾᏙᏓᏉᏅᎯ","ᏔᎵᏁᎢᎦ","ᏦᎢᏁᎢᎦ","ᏅᎩᏁᎢᎦ","ᏧᎾᎩᎶᏍᏗ","ᎤᎾᏙᏓᏈᏕᎾ"},a={"ᏆᏍᎬ","ᏉᏅᎯ","ᏔᎵᏁ","ᏦᎢᏁ","ᏅᎩᏁ","ᏧᎾᎩ","ᏈᏕᎾ"}},
  ["cs"]={s={"ne","po","út","st","čt","pá","so"},a={"ne","po","út","st","čt","pá","so"},n={"N","P","Ú","S","Č","P","S"},w={"neděle","pondělí","úterý","středa","čtvrtek","pátek","sobota"}},
  ["cy"]={s={"Su","Ll","Ma","Me","Ia","Gw","Sa"},a={"Sul","Llun","Maw","Mer","Iau","Gwen","Sad"},n={"S","Ll","M","M","I","G","S"},w={"Dydd Sul","Dydd Llun","Dydd Mawrth","Dydd Mercher","Dydd Iau","Dydd Gwener","Dydd Sadwrn"}},
  ["da"]={s={"sø","ma","ti","on","to","fr","lø"},a={"søn.","man.","tir.","ons.","tor.","fre.","lør."},n={"S","M","T","O","T","F","L"},w={"søndag","mandag","tirsdag","onsdag","torsdag","fredag","lørdag"}},
  ["dav"]={w={"Ituku ja jumwa","Kuramuka jimweri","Kuramuka kawi","Kuramuka kadadu","Kuramuka kana","Kuramuka kasanu","Kifula nguwo"},a={"Jum","Jim","Kaw","Kad","Kan","Kas","Ngu"}},
  ["de"]={s={"So.","Mo.","Di.","Mi.","Do.","Fr.","Sa."},a={"So.","Mo.","Di.","Mi.","Do.","Fr.","Sa."},n={"S","M","D","M","D","F","S"},w={"Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"}},
  ["dje"]={w={"Alhadi","Atinni","Atalaata","Alarba","Alhamisi","Alzuma","Asibti"},a={"Alh","Ati","Ata","Ala","Alm","Alz","Asi"}},
  ["dua"]={w={"éti","mɔ́sú","kwasú","mukɔ́sú","ŋgisú","ɗónɛsú","esaɓasú"},a={"ét","mɔ́s","kwa","muk","ŋgi","ɗón","esa"}},
  ["dyo"]={w={"Dimas","Teneŋ","Talata","Alarbay","Aramisay","Arjuma","Sibiti"},a={"Dim","Ten","Tal","Ala","Ara","Arj","Sib"}},
  ["dz"]={s={"ཟླ་","མིར་","ལྷག་","ཕུར་","སངས་","སྤེན་","ཉི་"},a={"ཟླ་","མིར་","ལྷག་","ཕུར་","སངས་","སྤེན་","ཉི་"},n={"ཟླ","མིར","ལྷག","ཕུར","སངྶ","སྤེན","ཉི"},w={"གཟའ་ཟླ་བ་","གཟའ་མིག་དམར་","གཟའ་ལྷག་པ་","གཟའ་ཕུར་བུ་","གཟའ་པ་སངས་","གཟའ་སྤེན་པ་","གཟའ་ཉི་མ་"}},
  ["ebu"]={w={"Kiumia","Njumatatu","Njumaine","Njumatano","Aramithi","Njumaa","NJumamothii"},a={"Kma","Tat","Ine","Tan","Arm","Maa","NMM"}},
  ["ee"]={s={"kɔs","dzo","bla","kuɖ","yaw","fiɖ","mem"},a={"kɔs","dzo","bla","kuɖ","yaw","fiɖ","mem"},n={"k","d","b","k","y","f","m"},w={"kɔsiɖa","dzoɖa","blaɖa","kuɖa","yawoɖa","fiɖa","memleɖa"}},
  ["el"]={s={"Κυ","Δε","Τρ","Τε","Πέ","Πα","Σά"},a={"Κυρ","Δευ","Τρί","Τετ","Πέμ","Παρ","Σάβ"},n={"Κ","Δ","Τ","Τ","Π","Π","Σ"},w={"Κυριακή","Δευτέρα","Τρίτη","Τετάρτη","Πέμπτη","Παρασκευή","Σάββατο"}},
  ["en"]={s={"Su","Mo","Tu","We","Th","Fr","Sa"},a={"Sun","Mon","Tue","Wed","Thu","Fri","Sat"},w={"Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"}},
  ["en_Dsrt"]={w={"𐐝𐐲𐑌𐐼𐐩","𐐣𐐲𐑌𐐼𐐩","𐐓𐐭𐑆𐐼𐐩","𐐎𐐯𐑌𐑆𐐼𐐩","𐐛𐐲𐑉𐑆𐐼𐐩","𐐙𐑉𐐴𐐼𐐩","𐐝𐐰𐐻𐐲𐑉𐐼𐐩"},a={"𐐝𐐲𐑌","𐐣𐐲𐑌","𐐓𐐭𐑆","𐐎𐐯𐑌","𐐛𐐲𐑉","𐐙𐑉𐐴","𐐝𐐰𐐻"}},
  ["eo"]={w={"dimanĉo","lundo","mardo","merkredo","ĵaŭdo","vendredo","sabato"},a={"di","lu","ma","me","ĵa","ve","sa"}},
  ["es"]={s={"DO","LU","MA","MI","JU","VI","SA"},a={"dom.","lun.","mar.","mié.","jue.","vie.","sáb."},n={"D","L","M","X","J","V","S"},w={"domingo","lunes","martes","miércoles","jueves","viernes","sábado"}},
  ["es_MX"]={s={"do.","lu.","ma.","mi.","ju.","vi.","sá."},a={"dom.","lun.","mar.","miér.","jue.","vier.","sáb"},n={"D","L","M","X","J","V","S"},w={"domingo","lunes","martes","miércoles","jueves","viernes","sábado"}},
  ["et"]={s={"P","E","T","K","N","R","L"},a={"P","E","T","K","N","R","L"},n={"P","E","T","K","N","R","L"},w={"pühapäev","esmaspäev","teisipäev","kolmapäev","neljapäev","reede","laupäev"}},
  ["eu"]={s={"ig.","al.","ar.","az.","og.","or.","lr."},a={"ig.","al.","ar.","az.","og.","or.","lr."},n={"I","A","A","A","O","O","L"},w={"igandea","astelehena","asteartea","asteazkena","osteguna","ostirala","larunbata"}},
  ["ewo"]={w={"sɔ́ndɔ","mɔ́ndi","sɔ́ndɔ məlú mə́bɛ̌","sɔ́ndɔ məlú mə́lɛ́","sɔ́ndɔ məlú mə́nyi","fúladé","séradé"},a={"sɔ́n","mɔ́n","smb","sml","smn","fúl","sér"}},
  ["fa"]={s={"۱ش","۲ش","۳ش","۴ش","۵ش","ج","ش"},a={"یکشنبه","دوشنبه","سه‌شنبه","چهارشنبه","پنجشنبه","جمعه","شنبه"},n={"ی","د","س","چ","پ","ج","ش"},w={"یکشنبه","دوشنبه","سه‌شنبه","چهارشنبه","پنجشنبه","جمعه","شنبه"}},
  ["ff"]={w={"dewo","aaɓnde","mawbaare","njeslaare","naasaande","mawnde","hoore-biir"},a={"dew","aaɓ","maw","nje","naa","mwd","hbi"}},
  ["fi"]={s={"su","ma","ti","ke","to","pe","la"},a={"su","ma","ti","ke","to","pe","la"},n={"S","M","T","K","T","P","L"},w={"sunnuntaina","maanantaina","tiistaina","keskiviikkona","torstaina","perjantaina","lauantaina"}},
  ["fil"]={s={"Li","Lu","Ma","Mi","Hu","Bi","Sa"},a={"Lin","Lun","Mar","Miy","Huw","Biy","Sab"},n={"L","L","M","M","H","B","S"},w={"Linggo","Lunes","Martes","Miyerkules","Huwebes","Biyernes","Sabado"}},
  ["fo"]={s={"su","má","tý","mi","hó","fr","le"},a={"sun","mán","týs","mik","hós","frí","ley"},w={"sunnudagur","mánadagur","týsdagur","mikudagur","hósdagur","fríggjadagur","leygardagur"}},
  ["fr"]={s={"di","lu","ma","me","je","ve","sa"},a={"dim.","lun.","mar.","mer.","jeu.","ven.","sam."},n={"D","L","M","M","J","V","S"},w={"dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"}},
  ["fur"]={a={"dom","lun","mar","mie","joi","vin","sab"},n={"D","L","M","M","J","V","S"},w={"domenie","lunis","martars","miercus","joibe","vinars","sabide"}},
  ["ga"]={w={"Dé Domhnaigh","Dé Luain","Dé Máirt","Dé Céadaoin","Déardaoin","Dé hAoine","Dé Sathairn"},a={"Domh","Luan","Máirt","Céad","Déar","Aoine","Sath"}},
  ["gd"]={w={"DiDòmhnaich","DiLuain","DiMàirt","DiCiadain","Diardaoin","DihAoine","DiSathairne"},a={"DiD","DiL","DiM","DiC","Dia","Dih","DiS"}},
  ["gl"]={s={"dom","luns","mt","mc","xv","ve","sáb"},a={"dom","lun","mar","mér","xov","ven","sáb"},n={"D","L","M","M","X","V","S"},w={"domingo","luns","martes","mércores","xoves","venres","sábado"}},
  ["gsw"]={w={"Sunntig","Määntig","Ziischtig","Mittwuch","Dunschtig","Friitig","Samschtig"},a={"Su.","Mä.","Zi.","Mi.","Du.","Fr.","Sa."}},
  ["gu"]={s={"ર","સો","મં","બુ","ગુ","શુ","શ"},a={"રવિ","સોમ","મંગળ","બુધ","ગુરુ","શુક્ર","શનિ"},n={"ર","સો","મં","બુ","ગુ","શુ","શ"},w={"રવિવાર","સોમવાર","મંગળવાર","બુધવાર","ગુરુવાર","શુક્રવાર","શનિવાર"}},
  ["guz"]={w={"Chumapiri","Chumatato","Chumaine","Chumatano","Aramisi","Ichuma","Esabato"},a={"Cpr","Ctt","Cmn","Cmt","Ars","Icm","Est"}},
  ["gv"]={w={"Jedoonee","Jelhein","Jemayrt","Jercean","Jerdein","Jeheiney","Jesarn"},a={"Jed","Jel","Jem","Jerc","Jerd","Jeh","Jes"}},
  ["ha"]={w={"Lahadi","Litinin","Talata","Laraba","Alhamis","Jumma'a","Asabar"},a={"Lh","Li","Ta","Lr","Al","Ju","As"}},
  ["haw"]={w={"Lāpule","Poʻakahi","Poʻalua","Poʻakolu","Poʻahā","Poʻalima","Poʻaono"},a={"LP","P1","P2","P3","P4","P5","P6"}},
  ["he"]={s={"א׳","ב׳","ג׳","ד׳","ה׳","ו׳","ש׳"},a={"יום א׳","יום ב׳","יום ג׳","יום ד׳","יום ה׳","יום ו׳","שבת"},n={"א׳","ב׳","ג׳","ד׳","ה׳","ו׳","ש׳"},w={"יום ראשון","יום שני","יום שלישי","יום רביעי","יום חמישי","יום שישי","יום שבת"}},
  ["hi"]={s={"र","सो","मं","बु","गु","शु","श"},a={"रवि","सोम","मंगल","बुध","गुरु","शुक्र","शनि"},n={"र","सो","मं","बु","गु","शु","श"},w={"रविवार","सोमवार","मंगलवार","बुधवार","गुरुवार","शुक्रवार","शनिवार"}},
  ["hr"]={s={"ned","pon","uto","sri","čet","pet","sub"},a={"ned","pon","uto","sri","čet","pet","sub"},n={"N","P","U","S","Č","P","S"},w={"nedjelja","ponedjeljak","utorak","srijeda","četvrtak","petak","subota"}},
  ["hu"]={s={"V","H","K","Sze","Cs","P","Szo"},a={"V","H","K","Sze","Cs","P","Szo"},n={"V","H","K","Sz","Cs","P","Sz"},w={"vasárnap","hétfő","kedd","szerda","csütörtök","péntek","szombat"}},
  ["hy"]={s={"կիր","երկ","երք","չրք","հնգ","ուր","շբթ"},a={"կիր","երկ","երք","չրք","հնգ","ուր","շբթ"},n={"Կ","Ե","Ե","Չ","Հ","Ու","Շ"},w={"կիրակի","երկուշաբթի","երեքշաբթի","չորեքշաբթի","հինգշաբթի","ուրբաթ","շաբաթ"}},
  ["ia"]={w={"dominica","lunedi","martedi","mercuridi","jovedi","venerdi","sabbato"},a={"dom","lun","mar","mer","jov","ven","sab"}},
  ["id"]={s={"Min","Sen","Sel","Rab","Kam","Jum","Sab"},a={"Min","Sen","Sel","Rab","Kam","Jum","Sab"},n={"M","S","S","R","K","J","S"},w={"Minggu","Senin","Selasa","Rabu","Kamis","Jumat","Sabtu"}},
  ["ig"]={w={"Mbọsị Ụka","Mọnde","Tiuzdee","Wenezdee","Tọọzdee","Fraịdee","Satọdee"},a={"Ụka","Mọn","Tiu","Wen","Tọọ","Fraị","Sat"}},
  ["ii"]={w={"ꑭꆏꑍ","ꆏꊂꋍ","ꆏꊂꑍ","ꆏꊂꌕ","ꆏꊂꇖ","ꆏꊂꉬ","ꆏꊂꃘ"},a={"ꑭꆏ","ꆏꋍ","ꆏꑍ","ꆏꌕ","ꆏꇖ","ꆏꉬ","ꆏꃘ"}},
  ["is"]={s={"su.","má.","þr.","mi.","fi.","fö.","la."},a={"sun.","mán.","þri.","mið.","fim.","fös.","lau."},n={"S","M","Þ","M","F","F","L"},w={"sunnudagur","mánudagur","þriðjudagur","miðvikudagur","fimmtudagur","föstudagur","laugardagur"}},
  ["it"]={s={"dom","lun","mar","mer","gio","ven","sab"},a={"dom","lun","mar","mer","gio","ven","sab"},n={"D","L","M","M","G","V","S"},w={"domenica","lunedì","martedì","mercoledì","giovedì","venerdì","sabato"}},
  ["ja"]={s={"日","月","火","水","木","金","土"},a={"日","月","火","水","木","金","土"},n={"日","月","火","水","木","金","土"},w={"日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日"}},
  ["jgo"]={a={"Sɔ́ndi","Mɔ́ndi","Ápta Mɔ́ndi","Wɛ́nɛsɛdɛ","Tɔ́sɛdɛ","Fɛlâyɛdɛ","Sásidɛ"},n={"Sɔ́","Mɔ́","ÁM","Wɛ́","Tɔ́","Fɛ","Sá"},w={"Sɔ́ndi","Mɔ́ndi","Ápta Mɔ́ndi","Wɛ́nɛsɛdɛ","Tɔ́sɛdɛ","Fɛlâyɛdɛ","Sásidɛ"}},
  ["jmc"]={w={"Jumapilyi","Jumatatuu","Jumanne","Jumatanu","Alhamisi","Ijumaa","Jumamosi"},a={"Jpi","Jtt","Jnn","Jtn","Alh","Iju","Jmo"}},
  ["ka"]={s={"კვ","ორ","სმ","ოთ","ხთ","პრ","შბ"},a={"კვი","ორშ","სამ","ოთხ","ხუთ","პარ","შაბ"},n={"კ","ო","ს","ო","ხ","პ","შ"},w={"კვირა","ორშაბათი","სამშაბათი","ოთხშაბათი","ხუთშაბათი","პარასკევი","შაბათი"}},
  ["kab"]={w={"Yanass","Sanass","Kraḍass","Kuẓass","Samass","Sḍisass","Sayass"},a={"Yan","San","Kraḍ","Kuẓ","Sam","Sḍis","Say"}},
  ["kam"]={w={"Wa kyumwa","Wa kwambĩlĩlya","Wa kelĩ","Wa katatũ","Wa kana","Wa katano","Wa thanthatũ"},a={"Wky","Wkw","Wkl","Wtũ","Wkn","Wtn","Wth"}},
  ["kde"]={w={"Liduva lyapili","Liduva lyatatu","Liduva lyanchechi","Liduva lyannyano","Liduva lyannyano na linji","Liduva lyannyano na mavili","Liduva litandi"},a={"Ll2","Ll3","Ll4","Ll5","Ll6","Ll7","Ll1"}},
  ["kea"]={s={"du","si","te","ku","ki","se","sa"},a={"dum","sig","ter","kua","kin","ses","sab"},n={"d","s","t","k","k","s","s"},w={"dumingu","sigunda-fera","tersa-fera","kuarta-fera","kinta-fera","sesta-fera","sabadu"}},
  ["khq"]={w={"Alhadi","Atini","Atalata","Alarba","Alhamiisa","Aljuma","Assabdu"},a={"Alh","Ati","Ata","Ala","Alm","Alj","Ass"}},
  ["ki"]={w={"Kiumia","Njumatatũ","Njumaine","Njumatana","Aramithi","Njumaa","Njumamothi"},a={"KMA","NTT","NMN","NMT","ART","NMA","NMM"}},
  ["kk"]={a={"жс.","дс.","сс.","ср.","бс.","жм.","сб."},n={"Ж","Д","С","С","Б","Ж","С"},w={"жексені","дуйсенбі","сейсенбі","сәрсенбі","бейсенбі","жұма","сенбі"}},
  ["kkj"]={s={"sɔndi","lundi","mardi","mɛrkɛrɛdi","yedi","vaŋdɛrɛdi","mɔnɔ sɔndi"},a={"sɔndi","lundi","mardi","mɛrkɛrɛdi","yedi","vaŋdɛrɛdi","mɔnɔ sɔndi"},n={"so","lu","ma","mɛ","ye","va","ms"},w={"sɔndi","lundi","mardi","mɛrkɛrɛdi","yedi","vaŋdɛrɛdi","mɔnɔ sɔndi"}},
  ["kl"]={s={"sab","ata","mar","pin","sis","tal","arf"},a={"sab","ata","mar","pin","sis","tal","arf"},w={"sabaat","ataasinngorneq","marlunngorneq","pingasunngorneq","sisamanngorneq","tallimanngorneq","arfininngorneq"}},
  ["kln"]={w={"Betutab tisap","Betut netai","Betutab aeng'","Betutab somok","Betutab ang'wan","Betutab mut","Betutab lo"},a={"Tis","Tai","Aen","Som","Ang","Mut","Loh"}},
  ["km"]={s={"អាទិត្យ","ចន្ទ","អង្គារ","ពុធ","ព្រហស្បតិ៍","សុក្រ","សៅរ៍"},a={"អាទិត្យ","ចន្ទ","អង្គារ","ពុធ","ព្រហស្បតិ៍","សុក្រ","សៅរ៍"},n={"1","2","3","4","5","6","7"},w={"អាទិត្យ","ចន្ទ","អង្គារ","ពុធ","ព្រហស្បតិ៍","សុក្រ","សៅរ៍"}},
  ["kn"]={s={"ರವಿ","ಸೋಮ","ಮಂಗಳ","ಬುಧ","ಗುರು","ಶುಕ್ರ","ಶನಿ"},a={"ರ.","ಸೋ.","ಮಂ.","ಬು.","ಗು.","ಶು.","ಶನಿ."},n={"ರ","ಸೋ","ಮಂ","ಬು","ಗು","ಶು","ಶ"},w={"ರವಿವಾರ","ಸೋಮವಾರ","ಮಂಗಳವಾರ","ಬುಧವಾರ","ಗುರುವಾರ","ಶುಕ್ರವಾರ","ಶನಿವಾರ"}},
  ["ko"]={s={"일","월","화","수","목","금","토"},a={"일","월","화","수","목","금","토"},w={"일요일","월요일","화요일","수요일","목요일","금요일","토요일"}},
  ["kok"]={w={"आदित्यवार","सोमवार","मंगळार","बुधवार","गुरुवार","शुक्रवार","शनिवार"},a={"रवि","सोम","मंगळ","बुध","गुरु","शुक्र","शनि"}},
  ["ks"]={w={"اَتھوار","ژٔنٛدرٕروار","بوٚموار","بودوار","برٛٮ۪سوار","جُمہ","بٹوار"},a={"آتھوار","ژٔنٛدٕروار","بوٚموار","بودوار","برٛٮ۪سوار","جُمہ","بٹوار"}},
  ["ksb"]={w={"Jumaapii","Jumaatatu","Jumaane","Jumaatano","Alhamisi","Ijumaa","Jumaamosi"},a={"Jpi","Jtt","Jmn","Jtn","Alh","Iju","Jmo"}},
  ["ksf"]={w={"sɔ́ndǝ","lǝndí","maadí","mɛkrɛdí","jǝǝdí","júmbá","samdí"},a={"sɔ́n","lǝn","maa","mɛk","jǝǝ","júm","sam"}},
  ["ksh"]={s={"Su","Mo","Di","Me","Du","Fr","Sa"},a={"Su.","Mo.","Di.","Me.","Du.","Fr.","Sa."},w={"Sunndaach","Moondaach","Dinnsdaach","Metwoch","Dunnersdaach","Friidaach","Samsdaach"}},
  ["kw"]={w={"De Sul","De Lun","De Merth","De Merher","De Yow","De Gwener","De Sadorn"},a={"Sul","Lun","Mth","Mhr","Yow","Gwe","Sad"}},
  ["ky"]={s={"Жк","Дш","Ше","Ша","Бш","Жм","Иш"},a={"Жк","Дш","Ше","Ша","Бш","Жм","Иш"},n={"Ж","Д","Ш","Ш","Б","Ж","И"},w={"Жек","Дүй","Шей","Шар","Бей","Жум","Ишм"}},
  ["lag"]={w={"Jumapíiri","Jumatátu","Jumaíne","Jumatáano","Alamíisi","Ijumáa","Jumamóosi"},a={"Píili","Táatu","Íne","Táano","Alh","Ijm","Móosi"}},
  ["lg"]={w={"Sabbiiti","Balaza","Lwakubiri","Lwakusatu","Lwakuna","Lwakutaano","Lwamukaaga"},a={"Sab","Bal","Lw2","Lw3","Lw4","Lw5","Lw6"}},
  ["lkt"]={n={"A","W","N","Y","T","Z","O"},w={"Aŋpétuwakȟaŋ","Aŋpétuwaŋži","Aŋpétunuŋpa","Aŋpétuyamni","Aŋpétutopa","Aŋpétuzaptaŋ","Owáŋgyužažapi"}},
  ["ln"]={w={"eyenga","mokɔlɔ mwa yambo","mokɔlɔ mwa míbalé","mokɔlɔ mwa mísáto","mokɔlɔ ya mínéi","mokɔlɔ ya mítáno","mpɔ́sɔ"},a={"eye","ybo","mbl","mst","min","mtn","mps"}},
  ["lo"]={s={"ວັນອາທິດ","ວັນຈັນ","ວັນອັງຄານ","ວັນພຸດ","ວັນພະຫັດ","ວັນສຸກ","ວັນເສົາ"},a={"ວັນອາທິດ","ວັນຈັນ","ວັນອັງຄານ","ວັນພຸດ","ວັນພະຫັດ","ວັນສຸກ","ວັນເສົາ"},n={"1","2","3","4","5","6","7"},w={"ວັນອາທິດ","ວັນຈັນ","ວັນອັງຄານ","ວັນພຸດ","ວັນພະຫັດ","ວັນສຸກ","ວັນເສົາ"}},
  ["lt"]={s={"Sk","Pr","An","Tr","Kt","Pn","Št"},a={"sk","pr","an","tr","kt","pn","št"},n={"S","P","A","T","K","P","Š"},w={"sekmadienis","pirmadienis","antradienis","trečiadienis","ketvirtadienis","penktadienis","šeštadienis"}},
  ["lu"]={w={"Lumingu","Nkodya","Ndàayà","Ndangù","Njòwa","Ngòvya","Lubingu"},a={"Lum","Nko","Ndy","Ndg","Njw","Ngv","Lub"}},
  ["luo"]={w={"Jumapil","Wuok Tich","Tich Ariyo","Tich Adek","Tich Ang'wen","Tich Abich","Ngeso"},a={"JMP","WUT","TAR","TAD","TAN","TAB","NGS"}},
  ["luy"]={w={"Jumapiri","Jumatatu","Jumanne","Jumatano","Murwa wa Kanne","Murwa wa Katano","Jumamosi"},a={"J2","J3","J4","J5","Al","Ij","J1"}},
  ["lv"]={s={"Sv","Pr","Ot","Tr","Ce","Pk","Se"},a={"Sv","Pr","Ot","Tr","Ce","Pk","Se"},n={"S","P","O","T","C","P","S"},w={"svētdiena","pirmdiena","otrdiena","trešdiena","ceturtdiena","piektdiena","sestdiena"}},
  ["mas"]={w={"Jumapílí","Jumatátu","Jumane","Jumatánɔ","Alaámisi","Jumáa","Jumamósi"},a={"Jpi","Jtt","Jnn","Jtn","Alh","Iju","Jmo"}},
  ["mer"]={w={"Kiumia","Muramuko","Wairi","Wethatu","Wena","Wetano","Jumamosi"},a={"KIU","MRA","WAI","WET","WEN","WTN","JUM"}},
  ["mfe"]={w={"dimans","lindi","mardi","merkredi","zedi","vandredi","samdi"},a={"dim","lin","mar","mer","ze","van","sam"}},
  ["mg"]={w={"Alahady","Alatsinainy","Talata","Alarobia","Alakamisy","Zoma","Asabotsy"},a={"Alah","Alats","Tal","Alar","Alak","Zom","Asab"}},
  ["mgh"]={w={"Sabato","Jumatatu","Jumanne","Jumatano","Arahamisi","Ijumaa","Jumamosi"},a={"Sab","Jtt","Jnn","Jtn","Ara","Iju","Jmo"}},
  ["mgo"]={s={"1","2","3","4","5","6","7"},a={"Aneg 1","Aneg 2","Aneg 3","Aneg 4","Aneg 5","Aneg 6","Aneg 7"},n={"A1","A2","A3","A4","A5","A6","A7"},w={"Aneg 1","Aneg 2","Aneg 3","Aneg 4","Aneg 5","Aneg 6","Aneg 7"}},
  ["mk"]={s={"нед.","пон.","3","сре.","чет.","пет.","7"},a={"нед.","пон.","вт.","сре.","чет.","пет.","саб."},n={"н","п","в","с","ч","п","с"},w={"недела","понеделник","вторник","среда","четврток","петок","сабота"}},
  ["ml"]={s={"ഞാ","തി","ചൊ","ബു","വ്യാ","വെ","ശ"},a={"ഞായർ","തിങ്കൾ","ചൊവ്വ","ബുധൻ","വ്യാഴം","വെള്ളി","ശനി"},w={"ഞായറാഴ്‌ച","തിങ്കളാഴ്‌ച","ചൊവ്വാഴ്ച","ബുധനാഴ്‌ച","വ്യാഴാഴ്‌ച","വെള്ളിയാഴ്‌ച","ശനിയാഴ്‌ച"}},
  ["mn"]={s={"Ня","Да","Мя","Лх","Пү","Ба","Бя"},a={"Ня","Да","Мя","Лх","Пү","Ба","Бя"},n={"1","2","3","4","5","6","7"},w={"ням","даваа","мягмар","лхагва","пүрэв","баасан","бямба"}},
  ["mr"]={s={"र","सो","मं","बु","गु","शु","श"},a={"रवि","सोम","मंगळ","बुध","गुरु","शुक्र","शनि"},n={"र","सो","मं","बु","गु","शु","श"},w={"रविवार","सोमवार","मंगळवार","बुधवार","गुरुवार","शुक्रवार","शनिवार"}},
  ["ms"]={s={"Ah","Is","Se","Ra","Kh","Ju","Sa"},a={"Ahd","Isn","Sel","Rab","Kha","Jum","Sab"},n={"A","I","S","R","K","J","S"},w={"Ahad","Isnin","Selasa","Rabu","Khamis","Jumaat","Sabtu"}},
  ["mt"]={a={"Ħad","Tne","Tli","Erb","Ħam","Ġim","Sib"},n={"Ħ","T","T","E","Ħ","Ġ","S"},w={"Il-Ħadd","It-Tnejn","It-Tlieta","L-Erbgħa","Il-Ħamis","Il-Ġimgħa","Is-Sibt"}},
  ["mua"]={w={"Com'yakke","Comlaaɗii","Comzyiiɗii","Comkolle","Comkaldǝɓlii","Comgaisuu","Comzyeɓsuu"},a={"Cya","Cla","Czi","Cko","Cka","Cga","Cze"}},
  ["my"]={s={"တနင်္ဂနွေ","တနင်္လာ","အင်္ဂါ","ဗုဒ္ဓဟူး","ကြာသပတေး","သောကြာ","စနေ"},a={"တနင်္ဂနွေ","တနင်္လာ","အင်္ဂါ","ဗုဒ္ဓဟူး","ကြာသပတေး","သောကြာ","စနေ"},w={"တနင်္ဂနွေ","တနင်္လာ","အင်္ဂါ","ဗုဒ္ဓဟူး","ကြာသပတေး","သောကြာ","စနေ"}},
  ["naq"]={w={"Sontaxtsees","Mantaxtsees","Denstaxtsees","Wunstaxtsees","Dondertaxtsees","Fraitaxtsees","Satertaxtsees"},a={"Son","Ma","De","Wu","Do","Fr","Sat"}},
  ["nb"]={s={"sø.","ma.","ti.","on.","to.","fr.","lø."},a={"søn.","man.","tir.","ons.","tor.","fre.","lør."},n={"S","M","T","O","T","F","L"},w={"søndag","mandag","tirsdag","onsdag","torsdag","fredag","lørdag"}},
  ["nd"]={w={"Sonto","Mvulo","Sibili","Sithathu","Sine","Sihlanu","Mgqibelo"},a={"Son","Mvu","Sib","Sit","Sin","Sih","Mgq"}},
  ["ne"]={s={"आइत","सोम","मङ्गल","बुध","बिही","शुक्र","शनि"},a={"आइत","सोम","मङ्गल","बुध","बिही","शुक्र","शनि"},n={"आ","सो","म","बु","बि","शु","श"},w={"आइतबार","सोमबार","मङ्गलबार","बुधबार","बिहीबार","शुक्रबार","शनिबार"}},
  ["ne_IN"]={w={"आइतवार","सोमवार","मङ्गलवार","बुधवार","बिहीवार","शुक्रवार","शनिवार"}},
  ["nl"]={s={"zo","ma","di","wo","do","vr","za"},a={"zo","ma","di","wo","do","vr","za"},n={"Z","M","D","W","D","V","Z"},w={"zondag","maandag","dinsdag","woensdag","donderdag","vrijdag","zaterdag"}},
  ["nmg"]={w={"sɔ́ndɔ","mɔ́ndɔ","sɔ́ndɔ mafú mába","sɔ́ndɔ mafú málal","sɔ́ndɔ mafú mána","mabágá má sukul","sásadi"},a={"sɔ́n","mɔ́n","smb","sml","smn","mbs","sas"}},
  ["nn"]={w={"søndag","måndag","tysdag","onsdag","torsdag","fredag","laurdag"},a={"sø.","må.","ty.","on.","to.","fr.","la."}},
  ["nnh"]={s={"lyɛʼɛ́ sẅíŋtè","mvfò lyɛ̌ʼ","mbɔ́ɔntè mvfò lyɛ̌ʼ","tsètsɛ̀ɛ lyɛ̌ʼ","mbɔ́ɔntè tsetsɛ̀ɛ lyɛ̌ʼ","mvfò màga lyɛ̌ʼ","màga lyɛ̌ʼ"},a={"lyɛʼɛ́ sẅíŋtè","mvfò lyɛ̌ʼ","mbɔ́ɔntè mvfò lyɛ̌ʼ","tsètsɛ̀ɛ lyɛ̌ʼ","mbɔ́ɔntè tsetsɛ̀ɛ lyɛ̌ʼ","mvfò màga lyɛ̌ʼ","màga lyɛ̌ʼ"},w={"lyɛʼɛ́ sẅíŋtè","mvfò lyɛ̌ʼ","mbɔ́ɔntè mvfò lyɛ̌ʼ","tsètsɛ̀ɛ lyɛ̌ʼ","mbɔ́ɔntè tsetsɛ̀ɛ lyɛ̌ʼ","mvfò màga lyɛ̌ʼ","màga lyɛ̌ʼ"}},
  ["nr"]={w={"uSonto","uMvulo","uLesibili","Lesithathu","uLesine","ngoLesihlanu","umGqibelo"},a={"Son","Mvu","Bil","Tha","Ne","Hla","Gqi"}},
  ["nso"]={w={"Sontaga","Mosupalogo","Labobedi","Laboraro","Labone","Labohlano","Mokibelo"},a={"Son","Mos","Bed","Rar","Ne","Hla","Mok"}},
  ["nus"]={w={"Cäŋ kuɔth","Jiec la̱t","Rɛw lätni","Diɔ̱k lätni","Ŋuaan lätni","Dhieec lätni","Bäkɛl lätni"},a={"Cäŋ","Jiec","Rɛw","Diɔ̱k","Ŋuaan","Dhieec","Bäkɛl"}},
  ["nyn"]={w={"Sande","Orwokubanza","Orwakabiri","Orwakashatu","Orwakana","Orwakataano","Orwamukaaga"},a={"SAN","ORK","OKB","OKS","OKN","OKT","OMK"}},
  ["om"]={w={"Dilbata","Wiixata","Qibxata","Roobii","Kamiisa","Jimaata","Sanbata"},a={"Dil","Wix","Qib","Rob","Kam","Jim","San"}},
  ["or"]={w={"ରବିବାର","ସୋମବାର","ମଙ୍ଗଳବାର","ବୁଧବାର","ଗୁରୁବାର","ଶୁକ୍ରବାର","ଶନିବାର"},a={"ରବି","ସୋମ","ମଙ୍ଗଳ","ବୁଧ","ଗୁରୁ","ଶୁକ୍ର","ଶନି"}},
  ["os"]={a={"хцб","крс","дцг","ӕрт","цпр","мрб","сбт"},n={"Х","К","Д","Ӕ","Ц","М","С"},w={"хуыцаубон","къуырисӕр","дыццӕг","ӕртыццӕг","цыппӕрӕм","майрӕмбон","сабат"}},
  ["pa"]={s={"ਐਤ.","ਸੋਮ.","ਮੰਗਲ.","ਬੁਧ.","ਵੀਰ.","ਸ਼ੁੱਕਰ.","ਸ਼ਨੀ."},a={"ਐਤ.","ਸੋਮ.","ਮੰਗਲ.","ਬੁਧ.","ਵੀਰ.","ਸ਼ੁੱਕਰ.","ਸ਼ਨੀ."},n={"ਐ","ਸੋ","ਮੰ","ਬੁੱ","ਵੀ","ਸ਼ੁੱ","ਸ਼"},w={"ਐਤਵਾਰ","ਸੋਮਵਾਰ","ਮੰਗਲਵਾਰ","ਬੁਧਵਾਰ","ਵੀਰਵਾਰ","ਸ਼ੁੱਕਰਵਾਰ","ਸ਼ਨੀਵਾਰ"}},
  ["pa_Arab"]={w={"اتوار","پیر","منگل","بُدھ","جمعرات","جمعہ","ہفتہ"}},
  ["pl"]={s={"niedz.","pon.","wt.","śr.","czw.","pt.","sob."},a={"niedz.","pon.","wt.","śr.","czw.","pt.","sob."},n={"N","P","W","Ś","C","P","S"},w={"niedziela","poniedziałek","wtorek","środa","czwartek","piątek","sobota"}},
  ["ps"]={w={"یکشنبه","دوشنبه","سه‌شنبه","چهارشنبه","پنجشنبه","جمعه","شنبه"}},
  ["pt"]={s={"dom","seg","ter","qua","qui","sex","sáb"},a={"dom","seg","ter","qua","qui","sex","sáb"},n={"D","S","T","Q","Q","S","S"},w={"domingo","segunda-feira","terça-feira","quarta-feira","quinta-feira","sexta-feira","sábado"}},
  ["pt_PT"]={s={"do","sg","te","qu","qi","sx","sb"},a={"dom","seg","ter","qua","qui","sex","sáb"},n={"D","S","T","Q","Q","S","S"},w={"domingo","segunda-feira","terça-feira","quarta-feira","quinta-feira","sexta-feira","sábado"}},
  ["rm"]={w={"dumengia","glindesdi","mardi","mesemna","gievgia","venderdi","sonda"},a={"du","gli","ma","me","gie","ve","so"}},
  ["rn"]={w={"Ku w'indwi","Ku wa mbere","Ku wa kabiri","Ku wa gatatu","Ku wa kane","Ku wa gatanu","Ku wa gatandatu"},a={"cu.","mbe.","kab.","gtu.","kan.","gnu.","gnd."}},
  ["ro"]={s={"Du","Lu","Ma","Mi","Jo","Vi","Sâ"},a={"Dum","Lun","Mar","Mie","Joi","Vin","Sâm"},n={"D","L","M","M","J","V","S"},w={"duminică","luni","marți","miercuri","joi","vineri","sâmbătă"}},
  ["rof"]={w={"Ijumapili","Ijumatatu","Ijumanne","Ijumatano","Alhamisi","Ijumaa","Ijumamosi"},a={"Ijp","Ijt","Ijn","Ijtn","Alh","Iju","Ijm"}},
  ["ru"]={s={"вс","пн","вт","ср","чт","пт","сб"},a={"вс","пн","вт","ср","чт","пт","сб"},n={"вс","пн","вт","ср","чт","пт","сб"},w={"воскресенье","понедельник","вторник","среда","четверг","пятница","суббота"}},
  ["rw"]={w={"Ku cyumweru","Kuwa mbere","Kuwa kabiri","Kuwa gatatu","Kuwa kane","Kuwa gatanu","Kuwa gatandatu"},a={"cyu.","mbe.","kab.","gtu.","kan.","gnu.","gnd."}},
  ["rwk"]={w={"Jumapilyi","Jumatatuu","Jumanne","Jumatanu","Alhamisi","Ijumaa","Jumamosi"},a={"Jpi","Jtt","Jnn","Jtn","Alh","Iju","Jmo"}},
  ["sah"]={a={"Бс","Бн","Оп","Сэ","Чп","Бэ","Сб"},n={"Б","Б","О","С","Ч","Б","С"},w={"Баскыһыанньа","Бэнидиэлинньик","Оптуорунньук","Сэрэдэ","Чэппиэр","Бээтиҥсэ","Субуота"}},
  ["saq"]={w={"Mderot ee are","Mderot ee kuni","Mderot ee ong'wan","Mderot ee inet","Mderot ee ile","Mderot ee sapa","Mderot ee kwe"},a={"Are","Kun","Ong","Ine","Ile","Sap","Kwe"}},
  ["sbp"]={w={"Mulungu","Jumatatu","Jumanne","Jumatano","Alahamisi","Ijumaa","Jumamosi"},a={"Mul","Jtt","Jnn","Jtn","Alh","Iju","Jmo"}},
  ["se"]={w={"sotnabeaivi","vuossárga","maŋŋebárga","gaskavahkku","duorasdat","bearjadat","lávvardat"},a={"sotn","vuos","maŋ","gask","duor","bear","láv"}},
  ["se_FI"]={w={"aejlege","måanta","däjsta","gaskevahkoe","dåarsta","bearjadahke","laavadahke"}},
  ["seh"]={w={"Dimingu","Chiposi","Chipiri","Chitatu","Chinai","Chishanu","Sabudu"},a={"Dim","Pos","Pir","Tat","Nai","Sha","Sab"}},
  ["ses"]={w={"Alhadi","Atinni","Atalaata","Alarba","Alhamiisa","Alzuma","Asibti"},a={"Alh","Ati","Ata","Ala","Alm","Alz","Asi"}},
  ["sg"]={w={"Bikua-ôko","Bïkua-ûse","Bïkua-ptâ","Bïkua-usïö","Bïkua-okü","Lâpôsö","Lâyenga"},a={"Bk1","Bk2","Bk3","Bk4","Bk5","Lâp","Lây"}},
  ["shi"]={w={"ⴰⵙⴰⵎⴰⵙ","ⴰⵢⵏⴰⵙ","ⴰⵙⵉⵏⴰⵙ","ⴰⴽⵕⴰⵙ","ⴰⴽⵡⴰⵙ","ⵙⵉⵎⵡⴰⵙ","ⴰⵙⵉⴹⵢⴰⵙ"},a={"ⴰⵙⴰ","ⴰⵢⵏ","ⴰⵙⵉ","ⴰⴽⵕ","ⴰⴽⵡ","ⴰⵙⵉⵎ","ⴰⵙⵉⴹ"}},
  ["shi_Latn"]={w={"asamas","aynas","asinas","akṛas","akwas","asimwas","asiḍyas"},a={"asa","ayn","asi","akṛ","akw","asim","asiḍ"}},
  ["si"]={s={"ඉරි","සඳු","අඟ","බදා","බ්‍රහ","සිකු","සෙන"},a={"ඉරිදා","සඳුදා","අඟහ","බදාදා","බ්‍රහස්","සිකු","සෙන"},n={"ඉ","ස","අ","බ","බ්‍ර","සි","සෙ"},w={"ඉරිදා","සඳුදා","අඟහරුවාදා","බදාදා","බ්‍රහස්පතින්දා","සිකුරාදා","සෙනසුරාදා"}},
  ["sk"]={s={"Ne","Po","Ut","St","Št","Pi","So"},a={"ne","po","ut","st","št","pi","so"},n={"N","P","U","S","Š","P","S"},w={"nedeľa","pondelok","utorok","streda","štvrtok","piatok","sobota"}},
  ["sl"]={s={"ned.","pon.","tor.","sre.","čet.","pet.","sob."},a={"ned.","pon.","tor.","sre.","čet.","pet.","sob."},n={"n","p","t","s","č","p","s"},w={"nedelja","ponedeljek","torek","sreda","četrtek","petek","sobota"}},
  ["sn"]={w={"Svondo","Muvhuro","Chipiri","Chitatu","China","Chishanu","Mugovera"},a={"Svo","Muv","Chip","Chit","Chin","Chis","Mug"}},
  ["so"]={w={"Axad","Isniin","Talaado","Arbaco","Khamiis","Jimco","Sabti"},a={"Axd","Isn","Tal","Arb","Kha","Jim","Sab"}},
  ["sq"]={s={"Die","Hën","Mar","Mër","Enj","Pre","Sht"},a={"Die","Hën","Mar","Mër","Enj","Pre","Sht"},n={"D","H","M","M","E","P","S"},w={"e diel","e hënë","e martë","e mërkurë","e enjte","e premte","e shtunë"}},
  ["sr"]={s={"нед","пон","уто","сре","чет","пет","суб"},a={"нед","пон","уто","сре","чет","пет","суб"},n={"н","п","у","с","ч","п","с"},w={"недеља","понедељак","уторак","среда","четвртак","петак","субота"}},
  ["sr_Cyrl_BA"]={w={[4]="сриједа"},a={[4]="сри"}},
  ["sr_Latn"]={s={"ned","pon","uto","sre","čet","pet","sub"},a={"ned","pon","uto","sre","čet","pet","sub"},n={"n","p","u","s","č","p","s"},w={"nedelja","ponedeljak","utorak","sreda","četvrtak","petak","subota"}},
  ["ss"]={w={"Lisontfo","uMsombuluko","Lesibili","Lesitsatfu","Lesine","Lesihlanu","uMgcibelo"},a={"Son","Mso","Bil","Tsa","Ne","Hla","Mgc"}},
  ["ssy"]={w={"Naba Sambat","Sani","Salus","Rabuq","Camus","Jumqata","Qunxa Sambat"},a={"Nab","San","Sal","Rab","Cam","Jum","Qun"}},
  ["st"]={w={"Sontaha","Mmantaha","Labobedi","Laboraru","Labone","Labohlane","Moqebelo"},a={"Son","Mma","Bed","Rar","Ne","Hla","Moq"}},
  ["sv"]={s={"sö","må","ti","on","to","fr","lö"},a={"sön","mån","tis","ons","tors","fre","lör"},n={"S","M","T","O","T","F","L"},w={"söndag","måndag","tisdag","onsdag","torsdag","fredag","lördag"}},
  ["sw"]={s={"Jumapili","Jumatatu","Jumanne","Jumatano","Alhamisi","Ijumaa","Jumamosi"},a={"J2","J3","J4","J5","Alh","Ij","J1"},w={"Jumapili","Jumatatu","Jumanne","Jumatano","Alhamisi","Ijumaa","Jumamosi"}},
  ["swc"]={w={"siku ya yenga","siku ya kwanza","siku ya pili","siku ya tatu","siku ya ine","siku ya tanu","siku ya sita"},a={"yen","kwa","pil","tat","ine","tan","sit"}},
  ["ta"]={s={"ஞா","தி","செ","பு","வி","வெ","ச"},a={"ஞா","தி","செ","பு","வி","வெ","ச"},n={"ஞா","தி","செ","பு","வி","வெ","ச"},w={"ஞாயிறு","திங்கள்","செவ்வாய்","புதன்","வியாழன்","வெள்ளி","சனி"}},
  ["te"]={s={"ఆది","సోమ","మం","బుధ","గురు","శుక్ర","శని"},a={"ఆది","సోమ","మంగళ","బుధ","గురు","శుక్ర","శని"},n={"ఆ","సో","మ","బు","గు","శు","శ"},w={"ఆదివారం","సోమవారం","మంగళవారం","బుధవారం","గురువారం","శుక్రవారం","శనివారం"}},
  ["teo"]={w={"Nakaejuma","Nakaebarasa","Nakaare","Nakauni","Nakaung'on","Nakakany","Nakasabiti"},a={"Jum","Bar","Aar","Uni","Ung","Kan","Sab"}},
  ["tg"]={w={"Якшанбе","Душанбе","Сешанбе","Чоршанбе","Панҷшанбе","Ҷумъа","Шанбе"},a={"Яшб","Дшб","Сшб","Чшб","Пшб","Ҷмъ","Шнб"}},
  ["th"]={s={"อา.","จ.","อ.","พ.","พฤ.","ศ.","ส."},a={"อา.","จ.","อ.","พ.","พฤ.","ศ.","ส."},n={"อา","จ","อ","พ","พฤ","ศ","ส"},w={"วันอาทิตย์","วันจันทร์","วันอังคาร","วันพุธ","วันพฤหัสบดี","วันศุกร์","วันเสาร์"}},
  ["ti"]={w={"ሰንበት","ሰኑይ","ሠሉስ","ረቡዕ","ኃሙስ","ዓርቢ","ቀዳም"}},
  ["ti_ER"]={w={"ሰንበት","ሰኑይ","ሰሉስ","ረቡዕ","ሓሙስ","ዓርቢ","ቀዳም"}},
  ["tig"]={w={"ሰንበት ዓባይ","ሰኖ","ታላሸኖ","ኣረርባዓ","ከሚሽ","ጅምዓት","ሰንበት ንኢሽ"},a={"ሰ/ዓ","ሰኖ","ታላሸ","ኣረር","ከሚሽ","ጅምዓ","ሰ/ን"}},
  ["tn"]={w={"Tshipi","Mosopulogo","Labobedi","Laboraro","Labone","Labotlhano","Matlhatso"},a={"Tsh","Mos","Bed","Rar","Ne","Tla","Mat"}},
  ["to"]={s={"Sāp","Mōn","Tus","Pul","Tuʻa","Fal","Tok"},a={"Sāp","Mōn","Tūs","Pul","Tuʻa","Fal","Tok"},n={"S","M","T","P","T","F","T"},w={"Sāpate","Mōnite","Tūsite","Pulelulu","Tuʻapulelulu","Falaite","Tokonaki"}},
  ["tr"]={s={"Pa","Pt","Sa","Ça","Pe","Cu","Ct"},a={"Paz","Pzt","Sal","Çar","Per","Cum","Cmt"},n={"P","P","S","Ç","P","C","C"},w={"Pazar","Pazartesi","Salı","Çarşamba","Perşembe","Cuma","Cumartesi"}},
  ["ts"]={w={"Sonto","Musumbhunuku","Ravumbirhi","Ravunharhu","Ravumune","Ravuntlhanu","Mugqivela"},a={"Son","Mus","Bir","Har","Ne","Tlh","Mug"}},
  ["twq"]={w={"Alhadi","Atinni","Atalaata","Alarba","Alhamiisa","Alzuma","Asibti"},a={"Alh","Ati","Ata","Ala","Alm","Alz","Asi"}},
  ["tzm"]={w={"Asamas","Aynas","Asinas","Akras","Akwas","Asimwas","Asiḍyas"},a={"Asa","Ayn","Asn","Akr","Akw","Asm","Asḍ"}},
  ["uk"]={s={"Нд","Пн","Вт","Ср","Чт","Пт","Сб"},a={"Нд","Пн","Вт","Ср","Чт","Пт","Сб"},n={"Н","П","В","С","Ч","П","С"},w={"неділя","понеділок","вівторок","середа","четвер","пʼятниця","субота"}},
  ["ur"]={s={"اتوار","سوموار","منگل","بدھ","جمعرات","جمعہ","ہفتہ"},a={"اتوار","سوموار","منگل","بدھ","جمعرات","جمعہ","ہفتہ"},n={"S","M","T","W","T","F","S"},w={"اتوار","سوموار","منگل","بدھ","جمعرات","جمعہ","ہفتہ"}},
  ["ur_IN"]={s={"اتوار","سوموار","منگل","بدھ","جمعرات","جمعہ","ہفتہ"},a={"اتوار","پیر","منگل","بدھ","جمعرات","جمعہ","ہفتہ"},w={"اتوار","پیر","منگل","بدھ","جمعرات","جمعہ","ہفتہ"}},
  ["uz"]={s={"Yaksh","Dush","Sesh","Chor","Pay","Jum","Shan"},a={"Yaksh","Dush","Sesh","Chor","Pay","Jum","Shan"},n={"Y","D","S","C","P","J","S"},w={"yakshanba","dushanba","seshanba","chorshanba","payshanba","juma","shanba"}},
  ["uz_Arab"]={w={"یکشنبه","دوشنبه","سه‌شنبه","چهارشنبه","پنجشنبه","جمعه","شنبه"},a={"ی.","د.","س.","چ.","پ.","ج.","ش."}},
  ["uz_Cyrl"]={s={"Якш","Душ","Сеш","Чор","Пай","Жум","Шан"},a={"Якш","Душ","Сеш","Чор","Пай","Жум","Шан"},n={"Я","Д","С","Ч","П","Ж","Ш"},w={"якшанба","душанба","сешанба","чоршанба","пайшанба","жума","шанба"}},
  ["vai"]={w={"ꕞꕌꔵ","ꗳꗡꘉ","ꕚꕞꕚ","ꕉꕞꕒ","ꕉꔤꕆꕢ","ꕉꔤꕀꕮ","ꔻꔬꔳ"}},
  ["vai_Latn"]={w={"lahadi","tɛɛnɛɛ","talata","alaba","aimisa","aijima","siɓiti"}},
  ["ve"]={w={"Swondaha","Musumbuluwo","Ḽavhuvhili","Ḽavhuraru","Ḽavhuṋa","Ḽavhuṱanu","Mugivhela"},a={"Swo","Mus","Vhi","Rar","Ṋa","Ṱan","Mug"}},
  ["vi"]={s={"CN","T2","T3","T4","T5","T6","T7"},a={"CN","Th 2","Th 3","Th 4","Th 5","Th 6","Th 7"},n={"CN","T2","T3","T4","T5","T6","T7"},w={"Chủ Nhật","Thứ Hai","Thứ Ba","Thứ Tư","Thứ Năm","Thứ Sáu","Thứ Bảy"}},
  ["vo"]={w={"sudel","mudel","tudel","vedel","dödel","fridel","zädel"},a={"su.","mu.","tu.","ve.","dö.","fr.","zä."}},
  ["vun"]={w={"Jumapilyi","Jumatatuu","Jumanne","Jumatanu","Alhamisi","Ijumaa","Jumamosi"},a={"Jpi","Jtt","Jnn","Jtn","Alh","Iju","Jmo"}},
  ["wae"]={a={"Sun","Män","Ziš","Mit","Fró","Fri","Sam"},n={"S","M","Z","M","F","F","S"},w={"Sunntag","Mäntag","Zištag","Mittwuč","Fróntag","Fritag","Samštag"}},
  ["wal"]={w={"ወጋ","ሳይኖ","ማቆሳኛ","አሩዋ","ሃሙሳ","አርባ","ቄራ"}},
  ["xh"]={w={"Cawe","Mvulo","Lwesibini","Lwesithathu","Lwesine","Lwesihlanu","Mgqibelo"},a={"Caw","Mvu","Bin","Tha","Sin","Hla","Mgq"}},
  ["xog"]={w={"Sabiiti","Balaza","Owokubili","Owokusatu","Olokuna","Olokutaanu","Olomukaaga"},a={"Sabi","Bala","Kubi","Kusa","Kuna","Kuta","Muka"}},
  ["yav"]={w={"sɔ́ndiɛ","móndie","muányáŋmóndie","metúkpíápɛ","kúpélimetúkpiapɛ","feléte","séselé"},a={"sd","md","mw","et","kl","fl","ss"}},
  ["yo"]={w={"Ọjọ́ Àìkú","Ọjọ́ Ajé","Ọjọ́ Ìsẹ́gun","Ọjọ́rú","Ọjọ́bọ","Ọjọ́ Ẹtì","Ọjọ́ Àbámẹ́ta"},a={"Àìkú","Ajé","Ìsẹ́gun","Ọjọ́rú","Ọjọ́bọ","Ẹtì","Àbámẹ́ta"}},
  ["yo_BJ"]={w={"Ɔjɔ́ Àìkú","Ɔjɔ́ Ajé","Ɔjɔ́ Ìsɛ́gun","Ɔjɔ́rú","Ɔjɔ́bɔ","Ɔjɔ́ Ɛtì","Ɔjɔ́ Àbámɛ́ta"},a={"Àìkú","Ajé","Ìsɛ́gun","Ɔjɔ́rú","Ɔjɔ́bɔ","Ɛtì","Àbámɛ́ta"}},
  ["zgh"]={w={"ⴰⵙⴰⵎⴰⵙ","ⴰⵢⵏⴰⵙ","ⴰⵙⵉⵏⴰⵙ","ⴰⴽⵕⴰⵙ","ⴰⴽⵡⴰⵙ","ⴰⵙⵉⵎⵡⴰⵙ","ⴰⵙⵉⴹⵢⴰⵙ"},a={"ⴰⵙⴰ","ⴰⵢⵏ","ⴰⵙⵉ","ⴰⴽⵕ","ⴰⴽⵡ","ⴰⵙⵉⵎ","ⴰⵙⵉⴹ"}},
  ["zh"]={s={"周日","周一","周二","周三","周四","周五","周六"},a={"周日","周一","周二","周三","周四","周五","周六"},n={"日","一","二","三","四","五","六"},w={"星期日","星期一","星期二","星期三","星期四","星期五","星期六"}},
  ["zh_Hant"]={s={"日","一","二","三","四","五","六"},a={"週日","週一","週二","週三","週四","週五","週六"},n={"日","一","二","三","四","五","六"},w={"星期日","星期一","星期二","星期三","星期四","星期五","星期六"}},
  ["zu"]={s={"Isonto","Umsombuluko","Ulwesibili","Ulwesithathu","Ulwesine","Ulwesihlanu","Umgqibelo"},a={"Son","Mso","Bil","Tha","Sin","Hla","Mgq"},n={"S","M","T","T","S","H","M"},w={"Sonto","Msombuluko","Lwesibili","Lwesithathu","Lwesine","Lwesihlanu","Mgqibelo"}}
}