-- generic time patterns in (f)ull, (l)ong, (m)edium and (s)hort formats
-- takes about 80 kilobytes of memory when loaded
return
{
  ["aa"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["af"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["af_NA"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["agq"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ak"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["am"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ar"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["as"] = { f="h.mm.ss a zzzz", l="h.mm.ss a z", m="h.mm.ss a", s="h.mm. a" },
  ["asa"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ast"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z" },
  ["az"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["az_Cyrl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["bas"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["be"] = { f="HH.mm.ss zzzz", l="HH.mm.ss z", m="HH.mm.ss", s="HH.mm" },
  ["bem"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["bez"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["bg"] = { f="H:mm:ss zzzz", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["bm"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["bn"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["brx"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["bs"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["bs_Cyrl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["byn"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ca"] = { f="H.mm.ss zzzz", l="H.mm.ss z", m="H.mm.ss", s="H.mm" },
  ["cgg"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["chr"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["cs"] = { f="H:mm:ss zzzz", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["cy"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["da"] = { f="HH.mm.ss zzzz", l="HH.mm.ss z", m="HH.mm.ss", s="HH.mm" },
  ["dav"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["de"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["dje"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["dua"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["dyo"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["dz"] = { f="ཆུ་ཚོད་ h སྐར་མ་ mm:ss a zzzz", l="ཆུ་ཚོད་ h སྐར་མ་ mm:ss a z", m="ཆུ་ཚོད་h:mm:ss a", s="ཆུ་ཚོད་ h སྐར་མ་ mm a" },
  ["ebu"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ee"] = { f="a h:mm:ss zzzz", l="a 'ga' h:mm:ss z", m="a 'ga' h:mm:ss", s="a 'ga' h:mm" },
  ["el"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en_150"] = { f="HH 'h' mm 'min' ss 's' zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["en_AU"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en_BE"] = { f="HH 'h' mm 'min' ss 's' zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["en_BZ"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["en_GB"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["en_HK"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en_IN"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en_NZ"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en_PK"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["en_SG"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["eo"] = { f="H-'a' 'horo' 'kaj' m:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["es"] = { f="H:mm:ss (zzzz)", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["es_AR"] = { f="HH'h'''mm:ss zzzz" },
  ["es_CO"] = { f="h:mm:ss a (zzzz)", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["es_MX"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["es_PE"] = { f="HH'H'mm''ss'' zzzz" },
  ["es_PR"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["es_US"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["et"] = { f="H:mm.ss zzzz", l="H:mm.ss z", m="H:mm.ss", s="H:mm" },
  ["eu"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ewo"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["fa"] = { f="H:mm:ss (zzzz)", l="H:mm:ss (z)", m="H:mm:ss", s="H:mm" },
  ["ff"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["fi"] = { f="H.mm.ss zzzz", l="H.mm.ss z", m="H.mm.ss", s="H.mm" },
  ["fil"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["fo"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["fr"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["fr_BE"] = { f="H 'h' mm 'min' ss 's' zzzz" },
  ["fr_CA"] = { f="HH 'h' mm 'min' ss 's' zzzz" },
  ["fr_CH"] = { f="HH.mm:ss 'h' zzzz" },
  ["fur"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ga"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["gd"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["gl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["gsw"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["gu"] = { f="hh:mm:ss a zzzz", l="hh:mm:ss a z", m="hh:mm:ss a", s="hh:mm a" },
  ["guz"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["gv"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ha"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["haw"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["he"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["hi"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["hr"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["hu"] = { f="H:mm:ss zzzz", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["hy"] = { f="H:mm:ss, zzzz", l="H:mm:ss, z", m="H:mm:ss", s="H:mm" },
  ["ia"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["id"] = { f="HH.mm.ss zzzz", l="HH.mm.ss z", m="HH.mm.ss", s="HH.mm" },
  ["ig"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["is"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["it"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["it_CH"] = { f="HH.mm:ss 'h' zzzz" },
  ["ja"] = { f="H時mm分ss秒 zzzz", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["jgo"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["jmc"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ka"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["kab"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["kam"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["kde"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["kea"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["khq"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ki"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["kk"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["kkj"] = { m="HH:mm:ss", s="HH:mm" },
  ["kl"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["kln"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["km"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["kn"] = { f="hh:mm:ss a zzzz", l="hh:mm:ss a z", m="hh:mm:ss a", s="hh:mm a" },
  ["ko"] = { f="a h시 m분 s초 zzzz", l="a h시 m분 s초 z", m="a h:mm:ss", s="a h:mm" },
  ["kok"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ks"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ksb"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ksf"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ksh"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["kw"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ky"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["lag"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["lg"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["lkt"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ln"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["lo"] = { f="H ໂມງ m ນາທີ ss ວິນາທີ zzzz", l="H ໂມງ m ນາທີ ss ວິນາທີ z", m="H:mm:ss", s="H:mm" },
  ["lt"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["lu"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["luo"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["luy"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["lv"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["mas"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["mer"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["mfe"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["mg"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["mgh"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["mgo"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["mk"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ml"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["mn"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["mr"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ms"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["mt"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["mua"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["my"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["naq"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["nb"] = { f="HH.mm.ss zzzz", l="HH.mm.ss z", m="HH.mm.ss", s="HH.mm" },
  ["nd"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ne"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["nl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["nmg"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["nn"] = { f="'kl'. HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["nus"] = { f="zzzz h:mm:ss a", l="z h:mm:ss a", m="h:mm:ss a", s="h:mm a" },
  ["nyn"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["om"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["or"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["os"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["pa"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["pa_Arab"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["pl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ps"] = { f="H:mm:ss (zzzz)", l="H:mm:ss (z)", m="H:mm:ss", s="H:mm" },
  ["pt"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["pt_PT"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["rm"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["rn"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ro"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["rof"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["ru"] = { f="H:mm:ss zzzz", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["ru_UA"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["rw"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["rwk"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["saq"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["sbp"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["seh"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ses"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["sg"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["shi"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["shi_Latn"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["si"] = { f="a h.mm.ss zzzz", l="a h.mm.ss z", m="a h.mm.ss", s="a h.mm" },
  ["sk"] = { f="H:mm:ss zzzz", l="H:mm:ss z", m="H:mm:ss", s="H:mm" },
  ["sl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["sn"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["so"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["sq"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["sr"] = { f="HH.mm.ss zzzz", l="HH.mm.ss z", m="HH.mm.ss", s="HH.mm" },
  ["sr_Cyrl_BA"] = { f="HH 'часова', mm 'минута', ss 'секунди' zzzz", m="HH:mm:ss", s="HH:mm" },
  ["sr_Latn"] = { f="HH.mm.ss zzzz", l="HH.mm.ss z", m="HH.mm.ss", s="HH.mm" },
  ["ssy"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["sv"] = { f="'kl'. HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["sw"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["swc"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ta"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["te"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["teo"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["tg"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["th"] = { f="H นาฬิกา mm นาที ss วินาที zzzz", l="H นาฬิกา mm นาที ss วินาที z", m="HH:mm:ss", s="HH:mm" },
  ["ti"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["tig"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["to"] = { f="h:mm:ss a zzzz", l="HH:mm:ss z", m="h:mm:ss a", s="h:mm a" },
  ["tr"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["twq"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["tzm"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["uk"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["ur"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["uz"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["uz_Arab"] = { f="H:mm:ss (zzzz)", l="H:mm:ss (z)", m="H:mm:ss", s="H:mm" },
  ["uz_Cyrl"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["vai"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["vai_Latn"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["vi"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["vo"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["vun"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["wal"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["xog"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["yav"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["yo"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["yo_BJ"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" },
  ["zgh"] = { f="HH:mm:ss zzzz", l="HH:mm:ss z", m="HH:mm:ss", s="HH:mm" },
  ["zh"] = { f="zzzzah:mm:ss", l="zah:mm:ss", m="ah:mm:ss", s="ah:mm" },
  ["zh_Hans_SG"] = { f="zzzzah:mm:ss", l="ahh:mm:ssz", m="ah:mm:ss", s="ahh:mm" },
  ["zh_Hant"] = { f="zzzzah時mm分ss秒", l="zah時mm分ss秒", m="ah:mm:ss", s="ah:mm" },
  ["zh_Hant_HK"] = { f="ah:mm:ss [zzzz]", l="ah:mm:ss [z]", m="ah:mm:ss", s="ah:mm" },
  ["zu"] = { f="h:mm:ss a zzzz", l="h:mm:ss a z", m="h:mm:ss a", s="h:mm a" }
}